Announcement

Collapse
No announcement yet.

Need Linux support for 4.26 version

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Need Linux support for 4.26 version

    1. Linux 4.26 version is not usable at all. It is crashes in a few seconds after startup on every other mouse click, menu open, window resize or close, on tooltip show - on any UI interactions.
    Previous 4.25 version had legacy OpenGL mode which worked well but now it is dropped in favour of crappy Vulkan implementation.

    2. Startup time is horrible - more than 100 seconds, which in combination with endless crashes makes 4.26 unusable on Linux.

    3. Landscape support is broken in 4.26 with Vulkan - for landscapes with layers enabled and bigger than default section 64x64 quads, 1x1 section per component, 8x8 components, editing tools moving erratically and in game run mode collision with landscape is not detected.

    Surprisingly on same Linux system WINDOWS version of 4.26 running under Wine 6.0 starts in 10 seconds and with DirectX to Vulkan calls translations works without any troubles at all.

    #2
    I get the same. On Linux with 4.26 using Nvidia 450 driver and 1080 GPU.

    The editor opens (startup time much longer than in the past), but then freezes within 10-15 seconds. Impossible to use currently. Really disappointed, this makes Linux unsupported as of 4.26 for development.

    Comment


      #3
      Looks like after latest changes made to VulkanRHI.cpp Unreal editor becomes much more stable. I played around using a 4.26-chaos branch for more than two hours and it's crashed only once.

      Unfortunately, landscapes is still broken for big lanscapes with layers enabled.
      Last edited by serhii antoniuk; 01-09-2021, 10:56 AM.

      Comment

      Working...
      X